## EAttachmentPaned

EAttachmentPaned

## Functions

GtkWidget * | e_attachment_paned_new ()
GtkWidget * | e_attachment_paned_get_content_area ()
gint | e_attachment_paned_get_active_view ()
void | e_attachment_paned_set_active_view ()
gboolean | e_attachment_paned_get_expanded ()
void | e_attachment_paned_set_expanded ()
gboolean | e_attachment_paned_get_resize_toplevel ()
void | e_attachment_paned_set_resize_toplevel ()
void | e_attachment_paned_drag_data_received ()
GtkWidget * | e_attachment_paned_get_controls_container ()
GtkWidget * | e_attachment_paned_get_view_combo ()
void | e_attachment_paned_set_default_height ()

## Properties

gint | active-view | Read / Write / Construct
gboolean | expanded | Read / Write / Construct
gboolean | resize-toplevel | Read / Write / Construct

## Types and Values

struct | EAttachmentPaned

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkPaned
                        ╰── EAttachmentPaned

## Implemented Interfaces

EAttachmentPaned implements AtkImplementorIface, GtkBuildable, GtkOrientable and EAttachmentView.

## Description

## Functions

### e_attachment_paned_new ()

    GtkWidget *
    e_attachment_paned_new (void);

### e_attachment_paned_get_content_area ()

    GtkWidget *
    e_attachment_paned_get_content_area (EAttachmentPaned *paned);

### e_attachment_paned_get_active_view ()

    gint
    e_attachment_paned_get_active_view (EAttachmentPaned *paned);

### e_attachment_paned_set_active_view ()

    void
    e_attachment_paned_set_active_view (EAttachmentPaned *paned,
                                        gint active_view);

### e_attachment_paned_get_expanded ()

    gboolean
    e_attachment_paned_get_expanded (EAttachmentPaned *paned);

### e_attachment_paned_set_expanded ()

    void
    e_attachment_paned_set_expanded (EAttachmentPaned *paned,
                                     gboolean expanded);

### e_attachment_paned_get_resize_toplevel ()

    gboolean
    e_attachment_paned_get_resize_toplevel
                                   (EAttachmentPaned *paned);

### e_attachment_paned_set_resize_toplevel ()

    void
    e_attachment_paned_set_resize_toplevel
                                   (EAttachmentPaned *paned,
                                    gboolean resize_toplevel);

### e_attachment_paned_drag_data_received ()

    void
    e_attachment_paned_drag_data_received (EAttachmentPaned *paned,
                                           GdkDragContext *context,
                                           gint x,
                                           gint y,
                                           GtkSelectionData *selection,
                                           guint info,
                                           guint time);

### e_attachment_paned_get_controls_container ()

    GtkWidget *
    e_attachment_paned_get_controls_container
                                   (EAttachmentPaned *paned);

### e_attachment_paned_get_view_combo ()

    GtkWidget *
    e_attachment_paned_get_view_combo (EAttachmentPaned *paned);

### e_attachment_paned_set_default_height ()

    void
    e_attachment_paned_set_default_height (gint height);

## Types and Values

### struct EAttachmentPaned

    struct EAttachmentPaned;

## Property Details

### The `“active-view”` property

      “active-view”              gint

Flags: Read / Write / Construct

Allowed values: [0,2]

Default value: 0

### The `“expanded”` property

      “expanded”                 gboolean

Flags: Read / Write / Construct

Default value: FALSE

### The `“resize-toplevel”` property

      “resize-toplevel”          gboolean

Flags: Read / Write / Construct

Default value: FALSE